org.apache.ignite.internal.processors.cache.persistence.pagemem

## Interface PageReplacementPolicyFactory

All Known Implementing Classes:
  ClockPageReplacementPolicyFactory, RandomLruPageReplacementPolicyFactory, SegmentedLruPageReplacementPolicyFactory

    public interface PageReplacementPolicyFactory

Page replacement policy factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`PageReplacementPolicy` `create(org.apache.ignite.internal.processors.cache.persistence.pagemem.PageMemoryImpl.Segment seg, long ptr, int pagesCnt)` Create page replacement policy.
`long` `requiredMemory(int pagesCnt)` Calculaete amount of memory required to service `pagesCnt` pages.

### Method Detail

#### requiredMemory

    long requiredMemory(int pagesCnt)

Calculaete amount of memory required to service `pagesCnt` pages.

Parameters:
  `pagesCnt` - Pages count.

#### create

    PageReplacementPolicy create(org.apache.ignite.internal.processors.cache.persistence.pagemem.PageMemoryImpl.Segment seg,
                                 long ptr,
                                 int pagesCnt)

Create page replacement policy.

Parameters:
  `seg` - Page memory segment.
  `ptr` - Pointer to memory region.
  `pagesCnt` - Pages count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021